Disable dedicated crypto wallet
curl --request PATCH \
--url https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text){
"status": true,
"message": "<string>",
"data": {}
}{
"status": false,
"message": "<string>",
"code": "<string>"
}Dedicated Crypto Wallets
Disable crypto dedicated wallet
Disable a customer’s dedicated crypto collection wallet.
PATCH
/
v1
/
crypto
/
dedicated-addresses
/
{reference}
/
disable
Disable dedicated crypto wallet
curl --request PATCH \
--url https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/{reference}/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text){
"status": true,
"message": "<string>",
"data": {}
}{
"status": false,
"message": "<string>",
"code": "<string>"
}Disable a crypto dedicated wallet when it should no longer be used for new customer payments.
After disabling a wallet, stop displaying it to the customer and create a new wallet if they need to make another payment.
Endpoint
PATCH /v1/crypto/dedicated-addresses/{reference}/disable
Headers
Authorization: Bearer sk_test_xxx
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
reference | string | Yes | The Pasteaza PZCDA_... reference returned during creation. |
Example request
curl -X PATCH https://api.oyapasteaza.com/v1/crypto/dedicated-addresses/PZCDA_4E40E9A3D6E8495C/disable \
-H "Authorization: Bearer sk_test_xxx"
Successful response
{
"status": true,
"message": "Dedicated crypto address disabled."
}
Errors
| Code | Meaning |
|---|---|
authentication_failed | The API key is missing or invalid. |
validation_failed | reference is missing. |
crypto_dedicated_address_not_found | No wallet matched the reference in this merchant and environment. |
Authorizations
Use an sk_test_... key in the playground. Never enter a live key in shared environments.
Path Parameters
Pasteaza reference or supported merchant reference.